/**********************************************************************
 **                                                                  **
 **                        hardware_dummy.cc                         **
 **                                                                  **
 **                                                                  **
 **  This file contains dummy functions for HardwareCommand class.   **
 **  This will allow eBug to compile without HServer and IPTServer   **
 **  files.                                                          **
 **                                                                  **
 **  Written by:  Yoichiro Endo (Mobile Robot Lab, Georgia Tech)     **
 **                                                                  **
 **  Copyright 2000 Georgia Tech Research Corporation                **
 **  Atlanta, Georgia  30332-0415                                    **
 **  ALL RIGHTS RESERVED, See file COPYRIGHT for details.            **
 **                                                                  **
 **********************************************************************/

/* $Id: hardware_dummy.cc,v 1.2 2000/10/25 05:12:33 endo Exp $ */

#include "ebug.h"

//-----------------------------------------------------------------------------
HardwareCommand::HardwareCommand(){}

//-----------------------------------------------------------------------------
void HardwareCommand::initialize(int init_type){}

//-----------------------------------------------------------------------------
void HardwareCommand::getCurrentRobotInfo(void){}

//-----------------------------------------------------------------------------
void HardwareCommand::getCurrentLightInfo(void){}

//-----------------------------------------------------------------------------
void HardwareCommand::driveRobot(void){}

//-----------------------------------------------------------------------------
void HardwareCommand::stopRobot(void){}

//-----------------------------------------------------------------------------
void HardwareCommand::disconnectRobot(void){}

/**********************************************************************
 * $Log: hardware_dummy.cc,v $
 * Revision 1.2  2000/10/25 05:12:33  endo
 * *** empty log message ***
 *
 * Revision 1.1  2000/10/25 04:45:27  endo
 * Initial revision
 *
 *
 **********************************************************************/
